package utils

import "strconv"

func ToUint64(val string) uint64 {
	result, err := strconv.ParseUint(val, 10, 64)
	if err != nil {
		return 0
	}

	return result
}

func ToInt(val string) int {
	result, err := strconv.Atoi(val)
	if err != nil {
		return 0
	}

	return result
}

func IsNum(s string) bool {
	_, err := strconv.ParseFloat(s, 64)
	return err == nil
}
